# A survey of mass partitions

## Abstract

Mass partition problems describe the partitions we can induce on a family of measures or finite sets of points in Euclidean spaces by dividing the ambient space into pieces. In this survey we describe recent progress in the area in addition to its connections to topology, discrete geometry, and computer science.

## 1. Introduction

*Mass partition problems* study how partitions of Euclidean spaces split families of measures. For example, for a given measure, how can the total space be split so that each part has the same measure while satisfying some additional geometric property? These problems are also referred to as *measure partition problems* or *equipartition problems*. The quintessential example is the *ham sandwich theorem*. Informally, this theorem states that a (three-dimensional) sandwich made out of three ingredients may be split fairly among two guests using a single straight cut.

Mass partition problems are at the crossroads of topology, discrete geometry, and computer science. These problems usually appear while studying discrete geometry and provide a natural field to test tools from equivariant topology. The explicit computation of fair partitions of finite point sets is an exciting challenge, and many such results can be applied to geometric range searching. Furthermore, mass partitions have been used successfully to solve hard problems in seemingly unrelated areas, such as incidence geometry.

Surveys that cover mass partitions often focus on the topological Reference Ste85Reference Mat03Reference Živ17Reference DLGMM19Reference BFHZ18 or computational Reference Ede87Reference AE99Reference Mat02Reference KK03Reference KU20 aspects of this area. The purpose of this survey is to give a broad overview of mass partition theorems and recent advances in this area.

A large family of results related to mass partitions is *fair partitions*, particularly *cake splitting problems*. These problems often deal with partitions of an interval in according to several players’ subjective preferences (which may or may not be induced by measures). In this survey, we focus on results where the geometry of the ambient space plays a key role. We only dwell on interval partitions when they have some interesting higher-dimensional extension. We recommend Reference Wel85Reference BT96Reference Su99Reference Bar05Reference Pro15 and the references therein for different variations of fair partitions, their applications, and methods to obtain them.

The general form of mass partition problems is the following.

For example, in the ham sandwich theorem, is the set of partitions of into two parts by a single hyperplane. In most cases we seek to split each measure into parts of equal size. If is fixed, an interesting parameter is the maximal cardinality of for which Problem 1.0.2 has an affirmative answer. The ham sandwich theorem is optimal in this sense. If we consider measures, each concentrated near one of the vertices of a simplex, no hyperplane can simultaneously halve all of them.

We consider several families which lead to interesting problems. These include partitions by several hyperplanes, partitions into convex pieces, partitions with low complexity algebraic surfaces, partitions by cones, and more.

### 1.1. History

It is hard to say precisely when the study of mass partition problems started. For example, the ham sandwich theorem in dimension one is equivalent to the existence of the median in probability. Early results dealt with splitting the volume of convex bodies into equal parts, rather than general measures. Most proofs can be extended to deal with measures with minor modifications.

If we focus on results in dimension greater than one, Levi published the first mass partition result in 1930, regarding translates of cones Reference Lev30.

Levi also proved two other mass partition theorems in dimension two using continuity arguments. One of these results is the two-dimensional version of the ham sandwich theorem. The other is that for any convex body in the plane we can always find three concurrent lines forming at angles of each of which halves the area of the convex body. ,

The ham sandwich theorem appeared in the 1930s. It was conjectured by Steinhaus. In 1938 Steinhaus presented a proof for the case and attributed it to Banach Reference Ste38 (see Reference BZ18 for a translation). The problem itself is listed as Problem 123 of *The Scottish Book* Reference Mau81, where mathematicians in Lwów, Poland, would gather problems, conjectures, and solutions. *The Scottish Book* is named after the Scottish Café, where meetings were held. Shortly after, Stone and Tukey proved the ham sandwich theorem in its general form Reference ST42.

Steinhaus gave another, quite different, proof of the ham sandwich theorem in dimension three in 1945 Reference Ste45, using the Jordan curve theorem. According to Reference BZ18, this work was done while Steinhaus was in hiding during World War II.

In Courant and Robbins’s 1941 book Reference CR41, p. 317 there are a few results regarding divisions of planar convex bodies. For example, you can split a convex body into four parts of equal area using two straight lines. It is clear from the text that the authors were aware of the ham sandwich theorem and its relation to these results. Buck and Buck generalized this result by showing that you can split any convex body into six parts of equal area using three concurrent lines Reference BB49. This is the first time that the term *equipartition* was used.

These were the first results on mass partitions. Since then, the area has been greatly developed. One of the main goals is to find natural or useful families of partitions for which an equipartition of several measures is always guaranteed to exist.

### 1.2. Continuous and discrete versions

Mass partition theorems are usually stated in one of two settings: discrete or continuous. Figure 1 shows an example of each kind. In the discrete setting, we work with finite families of points. Some conditions are imposed to avoid degenerate partitions, i.e., those that have many points in the boundary between parts.

A set of points in is in general position if no of them lie on a single hyperplane. For a finite set in general position, we say that a hyperplane *halves* if either is even and each open side of contains exactly points of or if , is odd and each open side of contains exactly points of Then, we can state the discrete ham sandwich theorem. .

The continuous versions deal with measures in In older papers, the measures usually came from a density function or the volume measure of some convex region in . However, most of those results can be proved for more general measures with only minor modifications to the original proofs. Some proofs even extend to charges, which can assign negative values to subsets of . .

We say that a measure in is absolutely continuous if it is absolutely continuous with respect to the Lebesgue measure. We say that is finite if is finite. The condition of absolute continuity is imposed to avoid worrying about the boundary between sections of a partition, as it has measure zero for most families of partitions we consider. It also has the benefit that the functions involved in topological proofs, as described in the next subsection, are continuous. In some cases (such as Theorem 1.2.2), the absolute continuity condition can be replaced by a weaker statement, such as for every hyperplane .

The connection between continuous and discrete versions of mass partition results can be argued by approximation arguments. A measure can be approximated by a sequence finite set of points of increasing size. A finite set of points can be approximated by a sequence of measures whose supports are balls centered at points of of decreasingly small radius. The equivalence, although common, is not entirely immediate. For some mass partition problems going from the continuous version to the discrete is a nuanced problem Reference BRSZ19. When such approximation arguments work, we immediately obtain mixed versions of mass partition results, in which some measures are concentrated in points and some are absolutely continuous.

To allow general measures or to avoid the general position assumptions, we need to modify the conclusion in our theorem Reference CM84. For example, a ham sandwich theorem for a family of general measures says the following. *We can always find a hyperplane such that for any measure the two closed half-spaces and bounded by satisfy*

A common degenerate family of measures where this is used is formed by *sets of weighted points*, which are linear combinations of Dirac measures.

### 1.3. Topological proof techniques

Mass partition problems are one of the best examples of combinatorial problems that can be solved using topological tools. A standard way to reduce combinatorial problems to topology is via the *test map/configuration space (TM/CS ) scheme*. This is a technique frequently used in topological combinatorics. For continuous mass partition problems, it consists of the following steps.

- •
First, we define a topological space often called the configuration space. This space parametrizes a space of partitions related to our problem. ,

- •
Second, we construct a topological space which describes how an element of , splits each measure. There should also be a natural function called the test map. The smoothness conditions on the measures are typically required to make this map continuous. It is common for , to be real space and for to be built so that any is a solution to the problem.

- •
Third. Ideally, the symmetries of the problem imply that there is a group acting on and This is usually chosen so that the map . is

*equivariant*. In other words, for every and we have ,- •
Finally, we reduce the mass partition problem to a property of continuous maps -equivariant Proving that all such maps satisfy the desired property is done as a purely topological problem. .

Ultimately, the choice of space determines the topological problem in the last step. Let us prove the ham sandwich theorem to exemplify this method. The topological tool we use is the Borsuk–Ulam theorem.

In the proof above, the space of partitions was parametrized by The group acting on . is with the antipodal action. The parametrization makes and correspond to complementary half-spaces. Different mass partition results lead us to use more elaborate configuration spaces and group actions Reference Živ17Reference BFHZ18Reference Mat03. The use of the Borsuk–Ulam theorem in this proof is mostly unavoidable, as the ham sandwich theorem is equivalent to the Borsuk–Ulam theorem Reference KCS17. The fact that a sphere parametrizes the set of half-spaces will be used repeatedly throughout this survey.

A common generalization of the Borsuk–Ulam theorem used in this proof scheme is the following theorem. We say that the action of a group on a topological space is free if the equation implies that is the neutral element of .

The advantage of the theorem above is that we only need to know the connectedness of and the dimension of to apply it.

### 1.4. Computational complexity

Topological proofs provide a clear and elegant way to tackle mass partition problems. However, these are all existence proofs, giving us little information about how to find such partitions.

In the discrete versions of mass partitions results, we want to split several finite families of points in in a predetermined manner. If the total number of points is an algorithm to find such a partition with running time in terms of , is desirable. Moreover, since mass partitioning results have applications in computer science, finding such algorithms is more than an academic exercise. A fundamental case is the problem of finding ham sandwich partitions.

The search space for such an algorithm has size as that is the number of different subsets of , an affine hyperplane can cut off.

In the plane, Lo, Matoušek, and Steiger Reference LMS94 presented algorithms that run in time, which is optimal. If the points are weighted, then a ham sandwich cut can be computed in time Reference BL05. In dimension three, algorithms that run in time, up to poly-logarithmic factors, are known Reference LMS94.

In high dimensions, the current best algorithms run in time Reference LMS94. For comparison, the problem requires time Reference LMS94. Geometric conditions can sharply reduce the computational complexity. If we impose a separation condition on the convex hulls of each of as considered by Bárány, Hubard, and Jerónimo Reference BHJ08, then a ham sandwich cut can be found in time, regardless of the dimension Reference Ber12 (more general cuts can be found in time Reference SZ10). In dimension two, some algorithms dynamically maintain ham sandwich cuts for two sets of points subject to successive insertion or deletion of points Reference ABC 09. The discrete ham sandwich problem, where the dimension is part of the input, is PPA-complete Reference GFR19. This complexity class (short for *Polynomial Parity Argument*) was introduced by Papadimitriou Reference Pap94 and is related to the problem of finding a second vertex of odd degree in a graph where one such vertex is known to exist.

In general, the algorithmic complexity of the results in this survey is much better understood in dimensions two and three. Every mass partition problem has an associated algorithmic variant, which is worth pursuing.

### 1.5. Applications

One of the principal applications of mass partition results is to give structure to geometric data. This is often the case when dealing with geometric range queries. Suppose we are given a finite family of points in which is fixed. Then, we will be given a set , and might be interested in either

- •
how many points of are contained in or ,

- •
a list of the points of contained in .

If we want to solve this problem for a particular set we need to check one by one the points of , to see if they are contained in However, if we intend to solve this problem for a sequence of sets, called .*ranges*, it is possible we find improved algorithms if the sets satisfy interesting geometric conditions. Such conditions include being a half-space, a simplex, or an axis-parallel box.

We can use mass partition results to *preprocess* the set and allow us to solve these problems efficiently. The first use of partition results of this kind goes back to Willard Reference Wil82 using *partition trees* for simplex range searching. The idea is to apply a mass partition result to and split it into sets Then, the mass partition result is applied to each of the . We continue to do so and obtain a . tree structure on -ary Depending on the geometric properties of the ranges, such a tree structure can allow us to answer ranges queries efficiently. Many of the results discussed in Section .3.3 were designed to solve half-space and simplex range queries this way, such as the Yao–Yao theorem Reference YY85. Queries in which the ranges are half-spaces are relevant in database searching.

Approximate partitions are often sufficient for these problems but are easier to compute Reference HW87Reference Mat92. Other partition results, such as the cutting lemma (Theorem 3.3.5), also have strong applications in computational geometry. We recommend Agarwal and Erickson’s survey on geometric range queries for more on this topic Reference AE99.

The ham sandwich theorem also has applications in voting theory Reference CM84, and some of its extensions can be applied to congressional district drawing Reference Hum11Reference Sob17. Section 2.4 contains some examples of purely combinatorial problems in which mass partition problems are relevant. In the next sections, we discuss the applications to other problems in discrete geometry, such as incidence geometry (Section 3.3) and geometric Ramsey theory (Section 5.2).

## 2. Partitions by multiple hyperplanes

In the ham sandwich theorem, the partitions we seek are given by a single hyperplane. As hyperplanes are easy to parametrize, it is convenient to look at partitions induced by several hyperplanes. The combinatorics of the complement of hyperplane arrangements has been extensively studied Reference Zas75Reference OT92. They provide rich configuration spaces for mass partition problems.

### 2.1. The Grünbaum–Hadwiger–Ramos problem

A family of hyperplanes in is in general position if no of them are concurrent, and any of their normal vectors are linearly independent. If we are given affine hyperplanes in in general position and then they split , into regions. We are interested in partitions of this type where each of the parts has the same size for many measures, simultaneously.

Grünbaum asked if it is possible to find such a partition for a single measure and hyperplanes Reference Grü60. This is simple for and is known for Reference Had66Reference YDEP89. For there is a continuum of equipartitions of this type, and additional conditions may be imposed. Avis Reference Avi84 showed that we cannot guarantee the existence of hyperplanes that split a single measure into equal parts for It suffices to consider a measure concentrated around points on the moment curve . in a family of ; hyperplanes intersects the moment curve in at most points, which less than the cuts needed to guarantee the desired partition. Because of this, Ramos proposed the following problem.

This is now known as the Grünbaum–Hadwiger–Ramos mass partition problem. Ramos extended Avis’s argument to show that the condition is necessary, and made the following conjecture Reference Ram96.

The best general upper bound for this problem is by Mani-Levitska, Vrećica, and Živaljević Reference MLVŽ06.

Grünbaum’s problem is settled in all dimensions except which leaves the following question open. ,

The natural configuration space of a set of hyperplanes in is a , direct product of -fold spheres. This space does not have the connectedness needed for simple topological approaches to yield strong results; for instance, we cannot obtain interesting results by applying Theorem -dimensional1.3.2. The subtleties of the topological tools needed, as well as an excellent description of different ways to approach this problem, is best explained in the recent survey of Blagojević, Frick, Haase, and Ziegler Reference BFHZ18. Further advances can also be found in Reference BFHZ16. Vrećica and Živaljević proposed a different approach to fix some issues raised by the survey from Blagojević et al. in Reference VŽ15.

The algorithmic aspect of Problem 2.1.1 is interesting. We can split a set of points in the plane into four parts of equal size using two lines, and the two lines can be found in time Reference Meg85. If we want the two lines to be orthogonal, they can be found in time Reference RS07. The orthogonality condition yields another variant of this problem in high dimensions, where the hyperplanes must be pairwise orthogonal.

The best bounds for the orthogonal case were proved by Simon Reference Sim19. If we relax the conditions on the partition, we can obtain sharp results. Makeev proved that for any absolutely continuous measure in we can find pairwise orthogonal hyperplanes such that any two of them split into four equal parts Reference Mak07. Additionally, the orthogonality condition may be dropped to extend the equipartition to two centrally symmetric measures. To be precise, for any two absolutely continuous measures in which are centrally symmetric around the origin there are hyperplanes such that any two of them split both and into four equal parts.

### 2.2. Successive hyperplane partitions

A different variation of the Grünbaum–Hadwiger–Ramos problem appears if we don’t allow the hyperplanes to extend indefinitely. We say a partition is a *successive hyperplane partition* of if it can be constructed in the following way. First, use a hyperplane to split into two parts. Then, if is split into parts for some use a hyperplane to cut exactly one of the parts into two. A successive hyperplane partition of , into parts always uses hyperplanes.

It is easy to see that must be even to split simultaneously two absolutely continuous measures in into equal parts using a successive hyperplane partition of For an odd number of parts, consider two uniform measures on concentric spheres of different radii. If there was such an equipartition, the first hyperplane must leave a . fraction of each measure on one side and an fraction on the other, for some integer which is not possible. It is not clear if the parity of , is the only obstacle.

For the case when , are (respectively) uniformly distributed in two convex sets with was solved affirmatively by Fruchard and Magazinov Reference FM16.

Consider a sphere in centered at the origin. If we construct a successive hyperplane partition whose hyperplanes all contain the origin, we obtain a partition of the sphere by great circles. Such partitions were used by Gromov to find convex partitions of spheres Reference Gro03 with additional constraints. Other results involving successive hyperplane partitions are described after Problem 2.4.3.

### 2.3. Bisections by hyperplane arrangements

An alternate distribution induced by affine hyperplane arrangements is to split into two sets by a chessboard coloring, as shown in Figure 3. Given a finite family of affine hyperplanes, we can choose arbitrarily for each its positive half-space and its negative half-space This generates a partition of . into two parts defined by

High-dimensional results of this kind were proved by Alon and West Reference AW86. The partitioning hyperplanes were restricted: only hyperplanes orthogonal to the elements of the canonical basis were allowed, and the partition must remain invariant after reorderings of the canonical base. They showed that, if is an odd positive integer, it is possible to split any measures using cuts for each coordinate axis.

A less restrictive result is obtained if we only fix the direction of each hyperplane. If we declare that there must be hyperplanes orthogonal to the element of the canonical basis, then Karasev, Roldán-Pensado, and Soberón showed that th measures may be split whenever the multinomial coefficient

is odd Reference KRPS16. This last condition is equivalent to and not sharing a in the same position of their binary expansions.

If we completely remove the conditions on the hyperplanes, one would expect to be able to partition more measures. The following conjecture by Langerman was presented by Barba, Pilz, and Schnider Reference BPS19 when they solved the case positively.

This conjecture has been verified when is a power of by Hubard and Karasev Reference HK19. If is odd and is a power of it was shown that , measures can be simultaneously split into two equal parts by hyperplanes Reference BBK18. Schnider proved a different relaxation of Conjecture 2.3.1, namely, he proved the following result Reference Sch20.

We include a simple proof of the following weaker form of Conjecture 2.3.1 for This result will be used in Section .3.4 and showcases the methods and obstacles involved in solving Conjecture 2.3.1. The methods of Reference HK19Reference BBK18 imply Theorem 2.3.3 with measures instead of measures if We discuss this improvement after the proof. For large values of . the number of measures can be increased to , Reference BBK18.

The reason we lost the ability to split one measure fewer than Reference HK19Reference BBK18 is that we are not using all the properties of In our construction, notice . yet this is not used in the proof above. Hubard and Karasev prove that adding this to the group action changes the topological obstruction and allows us to split one more measure. ,

### 2.4. Necklace splitting

The name for this family of partition results comes from the following setting. Suppose thieves steal an unclasped necklace with types of beads. The number of beads of each kind is a multiple of They want to cut the necklace into several strings and distribute the strings among themselves so that each thief has the same number of beads of each kind. What is the minimum number of cuts needed to obtain such a partition? Figure .4(b) shows how to construct examples that require cuts, by placing the beads in monochromatic intervals. Each interval requires at least cuts. In 1987, Alon proved that cuts were always sufficient Reference Alo87. He proved both the continuous and discrete versions of this result. In the continuous version, the set of beads of a given color is replaced by a finite absolutely continuous measure on .

Hobby and Rice first proved the continuous version for Reference HR65. Goldberg and West then proved the discrete version for Reference GW85, and a second proof was presented by Alon and West Reference AW86. The discrete version is a completely combinatorial problem: the number of beads of each kind and the order in which they come determine the problem. Nevertheless, the proofs for the vast majority of cases are essentially topological (say, using discrete analogues of standard topological machinery Reference Pál09Reference Meu14). The cases for and any and for , and any admit inductive proofs Reference Meu08Reference AFP 18.

The computational complexity for the discrete necklace problem has been recently settled. In the case it is PPA-complete ,Reference GFR19. This complexity class often appears with problems related to the Borsuk–Ulam theorem Reference Pap94. For the discrete necklace problem is related to the , complexity classes, which extend PPA from parity arguments to modulo arguments Reference Hol19Reference FRHSZ20Reference GKSZ19. Efficient approximation algorithms have been found if the thieves are satisfied with a smaller portion of each kind of bead, yet still proportional to Reference AG20.

We present two proofs of Theorem 2.4.1 for to illustrate the main ideas behind this family of results.